/shorts.v1alpha1.NewsService/GetMarketNewsGetMarketNews
Get market-wide news across all stocks
Parameters
Define the version of the Connect protocol
Define the timeout, in ms
Request Body
Request for GetMarketNews RPC
Max articles to return (default 50) (proto int32)
Only return price-sensitive news (proto bool)
Optional filter by source (proto string)
Responses
Response for GetMarketNews RPC
(proto shorts.v1alpha1.NewsArticle)
A single news article
(proto int32)
Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A list of messages that carry the error details. There is no limit on the number of messages.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message, with an additional debug field for ConnectRPC error details.
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.NewsService/GetMarketNews" \
-H "Content-Type: application/json" \
-d '{
"limit": 0,
"priceSensitiveOnly": true,
"source": "string"
}'curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.NewsService/GetMarketNews" \
-H "Content-Type: application/json" \
-d '{
"limit": 0,
"priceSensitiveOnly": true,
"source": "string"
}'